<!--#include file="../inc/Secure.htm"-->
<!--#include file="../inc/conn.htm"-->
<HTML>
<HEAD>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<link rel="stylesheet" type="text/css" href="../css/main.css">
</HEAD>
<%
LoginID=Session("LoginID")
if LoginID="" then response.end
set rs=server.createobject("adodb.recordset")
sql="select LookOtherIDs from tblUser where ID="& LoginID

rs.open sql,oConn
if not rs.eof then
	strLookOtherIDs=trim(rs("LookOtherIDs"))
end if
rs.close
set rs=nothing
%>
<BODY BGCOLOR="#FFFFFF">
<fieldset title="查看他人文件">
<legend align=center><font color=red class="pt11"><b>他人授权你查看文件</b></font></legend> 
<div style="word-break:break-all;font-size:12px;line-height:16px;padding:10px;">

<%
if trim(strLookOtherIDs)<>"" then
arrLookOther=split(strLookOtherIDs,",")%>
&nbsp;&nbsp;请选择您要查看的用户：<BR><BR>
<div align=center>
<table width="95%" border=0 cellspacing=0 cellpadding=5>
<tr bgcolor=#ffffff>
<%for i=0 to ubound(arrLookOther)
strFilePath="../FileDir/"&arrLookOther(i)
%>
<td>
<a href="FileManager.htm?RootDir=<%=strFilePath%>">
<%=GetTableValue("tblUser","Name","ID",arrLookOther(i))%></a></td>
<%next%>
</tr></table>
<%else
response.write "<p><font color=red>对不起，没有对您授权的人员！</font></p>"
end if
%>

</div>

</div></fieldset> 

</BODY>
</HTML>
<!--#include file="../inc/conn_close.htm"-->
<%
Function GetTableValue(TableName,Field,ValueField,Value)
	if TableName<>"" and Value<>"" then
		Set RsTmp = Server.Createobject("Adodb.recordset")
		strSql = "Select "& Field &" from "& TableName &" where "& ValueField &"='"& Value &"'"
		Rstmp.open strSql,oConn,1,1
		If not Rstmp.eof then
			GetTableValue=trim(Rstmp(Field))
		else
			GetTableValue=""
		end if
		Rstmp.close
		'set RsTmp = Nothing
	else
		GetTableValue=""
	end if
End Function
%>